#!/bin/bash
#SBATCH --job-name=cudagpuexample
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --partition=gpu
#SBATCH --gres=gpu:m10:1
#SBATCH --output=slurm.%A.%a.out
#SBATCH --error=slurm.%A.%a.err
#SBATCH --time=0-00:10:00

cd $SLURM_SUBMIT_DIR

module load CUDA
module load OpenMPI/3.1.4-GCC-8.3.0

# Definir variables
export OMP_NUM_THREADS=2

# Run program
nvcc cudagpuexample.cu -o cudagpuexample -Xcompiler -fopenmp  -I /usr/local/cuda-10.2/cuda-samples/NVIDIA_CUDA-10.2_Samples/common/inc
echo "Output de ejecucion con $OMP_NUM_THREADS thread" > cudagpuexample.out
echo >> cudagpuexample.out

./cudagpuexample >> cudagpuexample.out

